Bug 490001 - Review Request: mediawiki-semantic - The semantic extension to mediawiki
Review Request: mediawiki-semantic - The semantic extension to mediawiki
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 16:10 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 714231 (view as bug list)
Environment:
Last Closed: 2009-03-18 08:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-03-12 16:10:54 EDT
Spec URL: http://jlaska.fedorapeople.org/mediawiki-semantic/mediawiki-semantic.spec
SRPM URL: http://jlaska.fedorapeople.org/mediawiki-semantic/mediawiki-semantic-1.4.2-1.fc11.src.rpm
Description: 

Semantic MediaWiki (SMW) is a free extension of MediaWiki – the wiki-system powering Wikipedia – that helps to search, organise, tag, browse, evaluate, and share the wiki's content.

While traditional wikis contain only texts which computers can neither understand nor evaluate, SMW adds semantic annotations that bring the power of the Semantic Web to the wiki.
Comment 1 Parag AN(पराग) 2009-03-13 01:56:31 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1239109
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
58449c292fb9d6814e22562e58eae10c  semediawiki-1.4.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 2 James Laska 2009-03-16 15:03:02 EDT
Setting fedora‑cvs=?

New Package CVS Request
=======================
Package Name: mediawiki-semantic
Short Description: An extension of MediaWiki that improves content organization
Owners: jlaska
Branches: F-10 EL-4 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2009-03-17 01:23:58 EDT
cvs done.
Comment 4 James Laska 2009-03-18 08:49:53 EDT
Thanks for review and cvsadmin assistance.  This package is now build in the devel branch (http://koji.fedoraproject.org/koji/packageinfo?packageID=7968).

Closing as NEXTRELEASE per Step#13 of the new package process (http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess)

Note You need to log in before you can comment on or make changes to this bug.